%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           hgview
Version:        1.4.0
Release:        1%{?dist}
Summary:        A fast Mercurial log navigator written in pyqt4

License:        GPLv2+
URL:            http://www.logilab.org/project/hgview
Source0:        http://ftp.logilab.org/pub/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel, PyQt4-devel, asciidoc, xmlto, mercurial < 2.0

Requires:       mercurial < 2.0, PyQt4, qscintilla-python, mx, python-docutils


%description
hgview is a simple tool aiming at visually navigate in a Mercurial repository
history. It is written in Python/Qt4 with quick and efficient key-based
navigation in mind, trying to be fast enough to be usable for big repositories.

Features:

* easy key-based navigation in revision history of a repo (with browsing
  history),
* basic support for mq patch queues,
* automatically refresh the displayed revision graph when the repository is
  being modified (commit, pull, updates, etc.)
* display current working directory as a special node in the graph (when there
  are local modifications),
* view a graphical side-by-side diff for a given file, allowing to easily
  compare any couple of revisions for a file
* view the revision graph for a file (filelog),
* navigate in the manifest at any chosen revision (without modifying the
  working directory),
* basic support for the bfiles extension,
* search in the whole history (search in diff contents and commit messages),
* directly go to a given revision (can be any understood revision format; rev
  number, ID, tag, branch name, etc.)


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/hgviewlib/
%{python_sitelib}/hgext/%{name}.py*
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Oct 07 2011 Mads Kiilerich <mads@kiilerich.com> - 1.4.0-1
- hgview-1.4.0

* Sat Sep 10 2011 Mads Kiilerich <mads@kiilerich.com> - 1.3.0-2
- Minor tweaks to requirements and use of macros, based on comments from Volker
  Fröhlich

* Thu Sep 08 2011 Mads Kiilerich <mads@kiilerich.com> - 1.3.0-1
- Initial Fedora package
